Loading...
Searching...
No Matches
tiny_dnn::activation::tan_hp1m2 Class Reference
Inheritance diagram for tiny_dnn::activation::tan_hp1m2:
[legend]
Collaboration diagram for tiny_dnn::activation::tan_hp1m2:
[legend]

## Public Member Functions

float_t | f (const vec_t &v, size_t i) const override
float_t | df (float_t y) const override
std::pair< float_t, float_t > | scale () const override
virtual float_t | df (float_t y) const=0
virtual vec_t | df (const vec_t &y, size_t i) const
Public Member Functions inherited from tiny_dnn::activation::function
| function (const function &)=default
| function (function &&)=default
function & | operator= (const function &)=default
function & | operator= (function &&)=default
void | itef (vec_t &out, const vec_t &in, size_t cnt) const
virtual bool | one_hot () const

## Member Function Documentation

## df() [1/3]

virtual vec_t tiny_dnn::activation::function::df | ( | const vec_t & | y,
|  | size_t | i
| ) |  | const

inline virtual

Reimplemented from tiny_dnn::activation::function.

## df() [2/3]

float_t tiny_dnn::activation::tan_hp1m2::df | ( | float_t | y | ) | const

inline override virtual

Implements tiny_dnn::activation::function.

## df() [3/3]

virtual float_t tiny_dnn::activation::function::df | ( | float_t | y | ) | const

virtual

Implements tiny_dnn::activation::function.

## f()

float_t tiny_dnn::activation::tan_hp1m2::f | ( | const vec_t & | v,
|  | size_t | i
| ) |  | const

inline override virtual

Implements tiny_dnn::activation::function.

## scale()

std::pair< float_t, float_t > tiny_dnn::activation::tan_hp1m2::scale | ( |  | ) | const

inline override virtual

Implements tiny_dnn::activation::function.

The documentation for this class was generated from the following file:

- tiny_dnn/activations/activation_function.h